Bug 1254060 - creating OpenStack guest sometimes timeouts although everything works
creating OpenStack guest sometimes timeouts although everything works
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-08-17 01:03 EDT by Jan Hutař
Modified: 2018-03-16 16:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-01 16:13:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2015-08-17 01:03:12 EDT
Description of problem:
Creating OpenStack guest via hammer sometimes timeouts (hammer returns exit code 70) although everything works (guest gets created and boots)

Version-Release number of selected component (if applicable):

How reproducible:
in about 30%

Steps to Reproduce:
1. Prepare Sat6, create OpenStack compute resource and configure related stuff
2. Attempt to create guest from image via hammer:
   hammer --username '<user>' --password '<pass>' host create --name 'OpenStack' --hostgroup-id '1' --compute-resource-id '2' --puppet-ca-proxy '<fqdn>' --puppet-proxy 'fqdn' --puppet-classes qaredhattest --location-id '2' --organization-id '1' --provision-method 'image' --owner '<user>' --compute-attributes 'nics=[],flavor_ref=1,security_group=<secgroup>,network=public,image_ref=<uuid>'

Actual results:
Command returns following and exit code 70:

  Could not create the host:
  Error: Request Timeout

Everythig else works: guest is started on the OpenStack instance and boots without obvious issues.

Expected results:
hammer should not throw timeout errors

Additional info:
Reason this is happening might be that OpenStack is in geographically different 
location than Satellite.
Comment 4 Bryan Kearney 2017-08-01 16:13:37 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.
Comment 5 Pablo Hess 2018-03-07 16:52:46 EST
Reopening this on Satellite 6.2.14 as I'm seeing similar behavior: hammer host create will timeout every single time even though the host will get created on vcenter.

hammer command being used (redacted to preserve privacy), and output:
$ hammer host create --name "[redacted]" --organization "[redacted]" --location "[redacted]" --hostgroup "[redacted]" --compute-resource "[redacted, is a valid vcenter resource]" --compute-attributes "cluster=[redacted, is a valid vcenter cluster]"

Could not create the host:
  Error: Request Timeout

After the timeout the new host can be found on vcenter with all features according to the hammer command.

I'm now trying increasing the hammer request timeout with ":request_timeout: 600" on the hammer config file.

Additional info:

* When creating a new host on the webUI, once this vcenter compute resource gets selected at "Deploy On" the webUI spinner goes on for 8+ minutes.

* Satellite and vcenter are on different continents but ping shows no surprising latency. Ping times between Satellite and vcenter:
rtt min/avg/max/mdev = 224.054/224.119/224.173/0.303 ms

Note You need to log in before you can comment on or make changes to this bug.